/* Room Page */

body .room-container .hotel-booking-rooms-search form.hb-form-table .hb-form-field.hb-form-number {
	flex: 1;
}
body .room-container .hotel-booking-rooms-search form.hb-form-table {
    padding: 25px;
	background: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
    border-radius: var(--sp-radius);
}
body .room-container .hotel-booking-search button, body .room-container  .hotel-booking-rooms-search button {
    min-width: 30px;
    padding: 12px 4px;
    border: none;
    border-radius: 50px;
	outline: 1px dashed;
    outline-offset: -5px;
	background: var(--sp-highlight);
}
.room-content {
	padding: 55px 0px;
	min-height: 350px;
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .has-mega-menu p {
    line-height: 1.2;
}
body .room-container .hotel-booking-rooms-search form.hb-form-table  .hb-form-field-input input {
	border: 2px solid var(--sp-secondary);
	border-radius: 50px !important;
	color: var(--sp-secondary);
}
body .room-container .hotel-booking-rooms-search form.hb-form-table  [class^="hb-form-field"]  label {
	color: var(--sp-highlight);
	font-weight: 700 !important;
}
body .hotel-booking-search-filter  {
	color: #ffffff;
}
body .hotel-booking-search-filter .hb-search-price .noUi-target .noUi-connects .noUi-connect {
	background: var(--sp-secondary);
}
body .hotel-booking-search-filter .hb-search-price .noUi-target .noUi-origin .noUi-handle {
    right: -8px;
	background-color: var(--sp-secondary);
}
body .hotel-booking-search-filter .hb-search-price  {
	padding: 15px;
    background: var(--sp-primary);
    border-radius: 0 0 5px 5px;
}
body form.search-filter-form input[type=checkbox], body form.hotel-booking-search input[type=checkbox] {
	border-color: var(--sp-secondary);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .rooms .hb_room .media img {
    border-radius: 8px 8px 0 0;
}
body .hotel-booking-search-filter h4, body .hotel-booking-search-filter .title {
	background: var(--sp-secondary);
    color: white;
    padding: 15px;
    border-radius: 5px 5px 0 0;
    margin: 0;
}
body .hotel-booking-search-filter .rating-list, body .hotel-booking-search-filter .room-type-list {
	padding: 15px;
    background: var(--sp-primary);
    border-radius: 0 0 5px 5px;
    margin: 0;
}
body .hotel-booking-search-filter .clear-reset-filter button {
	outline: 1px dashed;
	outline-offset: -5px;
	border-radius: 50px !important;
}
body .room-container .room-content .sort-by-wrapper ul {
    box-shadow: inset 0 0 20px 2px #e8e8e8;
    border-radius: 0 0 10px 10px;
}
body .tp-hotel-booking.rooms .hb_room .summary {
    border: 1px solid color-mix(in oklab, var(--sp-secondary) 30%, transparent);
    border-radius: 8px;
	background: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
}
body .tp-hotel-booking.rooms .hb_room .media {
    margin: 0;
	border-bottom: 1px solid color-mix(in oklab, var(--sp-secondary) 30%, transparent);
}
body .tp-hotel-booking.rooms .hb_room .title h4 {
	border-bottom: 1px solid color-mix(in oklab, var(--sp-secondary) 30%, transparent);
	padding: 0 10px 10px 10px;
}
body .tp-hotel-booking.rooms .hb_room .room-rating-featured {
	padding: 0 10px 10px 10px;
}
body .tp-hotel-booking.rooms .hb_room .feature {
    position: absolute;
    left: 10px;
    top: 10px;
    color: white;
    background: var(--sp-secondary);
    border-radius: 2px;
	text-transform: capitalize;
}
body .tp-hotel-booking.rooms .hb_room .hotel-room-details {
    padding: 0 10px;
	font-size: 14px;
}
body .tp-hotel-booking.rooms .hb_room .hotel-room-details .room-feat {
    margin-bottom: 10px;
}
body .tp-hotel-booking.rooms .hb_room .hotel-room-details .room-feat i {
    color: var(--sp-secondary);
	min-width: 20px;
}
body .tp-hotel-booking.rooms .hb_room .hotel-room-details .detail {
	font-weight: 600;
}
body .tp-hotel-booking.rooms .hb_room .hotel-card-footer {
    padding: 10px;
    border-top: 1px solid color-mix(in oklab, var(--sp-secondary) 30%, transparent);
    margin: 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
}
body .tp-hotel-booking.rooms .hb_room .hotel-card-footer .view-detail{
    font-size: 14px;
	text-decoration: underline;
}
#hotel-booking-search-filter h3 {
    display: none;
}
/* Single Page */
.single-hb_room .hb_single_room_tabs {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
	padding-bottom: 10px;
}
.single-hb_room .hb_single_room_tabs > li {
    padding: 10px 20px;
    border-radius: 50px;
    color: var(--sp-white);
    background: var(--sp-highlight);
    outline: 1px dashed;
    outline-offset: -5px;
}
.single-hb_room .hb_single_room_tabs > li a {
    color: var(--sp-white);
	padding: 0;
}
.single-hb_room .hb_single_room_tabs > li a.active, .single-hb_room .hb_single_room_tabs > li:has(.active) {
    background-color: var(--sp-secondary);
    color: var(--sp-white);
}
.single-hb_room .hb_single_room_tabs > li a:after {
	display: none;
}
.single-hb_room .hb_single_room_tabs_content {
	padding: 30px;
	background: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
    margin-top: 30px;
    border-radius: 10px;
}
.wphb-single-room-booking-container #hotel_booking_room_hidden {
    background-color: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
    border-radius: 10px;
}
.wphb-single-room-booking-container .hb-search-results-form-container .hb-booking-room-form-group {
    width: 100%;
    text-align: initial;
    position: relative;
}
.wphb-single-room-booking-container .hb-search-results-form-container .hb-booking-room-form-group label {
    font-weight: 500;
    position: absolute;
    top: 50%;
    left: 15px;
    z-index: 1;
    transform: translateY(-50%);
	font-size: clamp(14px, 1vw, 16px);
	display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 1;
    width: 90px;
}
.wphb-single-room-booking-container .hb-search-results-form-container .hb-booking-room-form-group .wphb-max-qty {
    position: absolute;
    top: 50%;
    left: 15px;
    z-index: 1;
    transform: translateY(-50%);
	left: 90px;
}
.wphb-single-room-booking-container .hb-search-results-form-container .hb-booking-room-form-group input {
    text-align: right;
	font-size: clamp(14px, 1vw, 16px);
	border: 2px solid var(--sp-secondary);
    border-radius: 50px;
}
#hotel_booking_room_hidden .hb_button {
	outline: 1px dashed #ffffff;
	outline-offset: -5px;
	border-radius: 50px;
	color: #ffffff;
}

#hotel_booking_room_hidden .hb_button:hover,  button[type='submit'].rooms-check-avaibility:hover, #hotel_booking_room_hidden .hb_button:focus,  button[type='submit'].rooms-check-avaibility:focus, body.wp-hotel-booking-page:not(.tp-themes-premium) .hb_button:hover, body.wp-hotel-booking-page:not(.tp-themes-premium) .hb_button:focus, .review-top-section .header button:hover, .review-top-section .header button:focus, .hb-room-commentlist-sort-filter .gallery-filter a:hover, .hb-room-commentlist-sort-filter .gallery-filter a:focus {
	background-color: var(--sp-secondary);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) .hb_button, .review-top-section .header button, .hb-room-commentlist-sort-filter .gallery-filter a, .hb-room-commentlist-sort-filter .gallery-filter a.active {
    border-radius: 50px;
    outline: 1px dashed;
    outline-offset: -5px;
    background: var(--sp-highlight);
	color: #ffffff;
}
.hb-booking-room-form-head p {
    font-size: 30px;
    font-weight: 700;
    background: var(--sp-highlight);
    text-align: center;
    color: white;
    border-radius: 50px;
    text-transform: capitalize;
.single-hb_room .price {
    color: var(--sp-highlight);
}
}
.single-hb_room .view-detail a , body.single-hb_room.wp-hotel-booking-page:not(.tp-themes-premium) .hb-search-results-form-container .hb-booking-room-form-group a {
    text-decoration: underline !important;
}
/* Cart */
#hotel-booking-cart table th, #hotel-booking-payment table th {
	color: #ffffff;
}
.hb-cart-table {
	table-layout: auto;
}
.hb-cart-table tbody {
	color: var(--sp-primary);
}
.hb-cart-table .hb-room-thumb {
	width: 60px;
	height: 60px;
}
#hotel-booking-cart table th, #hotel-booking-payment table th {
	font-size: 14px;
	padding: 15px 2px;
}
.hb-cart-table tbody tr {
    display: table-row;
    position: relative;
}

.hb-cart-table td.hb-col-quantity, .hb-cart-table td.hb-col-price, .hb-cart-table td.hb-col-subtotal {
    width: auto;
}
.hb-cart-total-column .hb-btn.hb-btn-checkout {
	color: #ffffff;
	outline: 1px dashed;
	outline-offset: -5px;
	border-radius: 100px;
}
@media (max-width: 767px) {    
	.hb-cart-wrapper td.hb-col-price::before, .hb-cart-wrapper td.hb-col-quantity::before, .hb-cart-wrapper td.hb-col-deposit::before, .hb-cart-wrapper td.hb-col-subtotal::before {
        font-weight: 700;
        color: #000;
        font-size: 14px;
    }
	.hb-cart-wrapper td.hb-col-quantity::before {
        content: "Quantity:";
    }
	.hb-cart-wrapper td.hb-col-deposit::before {
        content: "Deposit Payment:";
    }
	.hb-cart-wrapper td.hb-col-subtotal::before {
        content: "Subtotal:";
    }
	.hb-cart-table tbody td.hb-col-deposit {
        text-align: left;
    }
}

/* Checkout */
.hb_coupon div {
	display: flex;
}
#hotel-booking-cart button#hb-apply-coupon, #hotel-booking-payment button#hb-apply-coupon, #hotel-booking-cart input[name="hb-coupon-code"], #hotel-booking-payment input[name="hb-coupon-code"], #hotel-booking-payment.hb-checkout-modern .hb-order-summary .hb-order-place .hb-btn-place-order {
	outline-offset: -5px;
	border-radius: 100px;
}
#hotel-booking-cart button#hb-apply-coupon, #hotel-booking-payment button#hb-apply-coupon, #hotel-booking-payment.hb-checkout-modern .hb-order-summary .hb-order-place .hb-btn-place-order {
	outline-offset: -5px;
	border-radius: 100px;
	color: #ffffff;
}
#hotel-booking-cart button#hb-apply-coupon, #hotel-booking-payment button#hb-apply-coupon, #hotel-booking-payment.hb-checkout-modern .hb-order-summary .hb-order-place .hb-btn-place-order {
	outline: 1px dashed;
}

/* Thank You */ 
.booking_item_table tbody, .hb_booking_table tbody {
	color: initial;
}
#booking-customer div {
	margin-bottom: 30px;
}

body.wp-hotel-booking-thank-you #booking-customer li, .booking-notes {
	border: 1px solid rgba(0 0 0 / 10%);
    margin: 1px;
}
body.wp-hotel-booking-thank-you #booking-customer label {
	margin-bottom: 0;
    padding: 10px;
    margin-right: 10px;
    border-right: 1px solid rgba(0 0 0 / 10%);
	min-width: 150px;
}

/* Search Page */
#hotel-booking-results .hb-search-results > .hb-room .hb-room-thumbnail img {
	height: 100%;
	 object-fit: cover;
}

#hotel-booking-results .hb-search-results > .hb-room {
    margin: 0 0 30px;
    padding: 15px;
    border: 1px solid var(--sp-border-dark);
    border-radius: var(--sp-radius);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hotel-booking-results .hb_add_to_cart, body.wp-hotel-booking-page:not(.tp-themes-premium) button.wphb-button {
    text-transform: capitalize;
    border-radius: 50px;
    padding: 12px 24px;
    outline: 1px dashed #ffffff;
    outline-offset: -7px;
    background: var(--sp-highlight);
    color: #fff;
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hotel-booking-results .hb_add_to_cart:hover, body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hotel-booking-results .hb_add_to_cart:focus, body.wp-hotel-booking-page:not(.tp-themes-premium) button.wphb-button:hover, body.wp-hotel-booking-page:not(.tp-themes-premium) button.wphb-button:focus {
    background: var(--sp-secondary);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hotel-booking-results {
    margin-top: 0;
}

body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search form#hb-form-search-page {
    border: 1px solid var(--sp-border-dark);
    border-radius: var(--sp-radius);
    padding: 15px;
	background: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search form#hb-form-search-page .select2-container {
    width: 100% !important;
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search form#hb-form-search-page .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: inherit;
    display: inline-block;
    height: 100%;
    padding: 8px 14px;
	color: var(--sp-border-dark);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search .hb-form-field label {
	font-weight: 700;
	font-size: 18px;
	margin-top: 15px;
	color: var(--sp-primary);
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search form#hb-form-search-page h3 {
    margin-top: 0;
    padding: 15px;
    background: var(--sp-highlight);
    border-radius: 50px;
    color: white;
    font-size: 24px;
    font-weight: 700;
    text-align: center;
}
body.wp-hotel-booking-page:not(.tp-themes-premium) button.wphb-button {
	margin-top: 30px;
}
body.wp-hotel-booking-search-rooms .select2-container .select2-selection--single, body.wp-hotel-booking-search-rooms .select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 43px;
}
@media (max-width: 1200px) {
    body.wp-hotel-booking-search-rooms:not(.tp-themes-premium) .hotel-booking-search {
        gap: 30px;
    }
}

/* Cutom Work */
body.home .flatpickr-calendar:not(.rangeMode) {
	display: none;
}

body.theme-1 .booking-section.style1 .hb-form-field-input.hb_input_field.flatpickr-input .hb_input_date_check.flatpickr-input:not(:has(+.wphb_date:empty,+.wphb_month:empty)), body.theme-3 .booking-section.style1 .hb-form-field-input.hb_input_field.flatpickr-input .hb_input_date_check.flatpickr-input:not(:has(+.wphb_date:empty,+.wphb_month:empty)) {
	/* visibility: hidden; */
	display: none;
}

body:has(.flatpickr-calendar) .hb_input_field:after {
    content: '\f078';
}

body.theme-2 .hb_input_field:after {
    right: 12px;
    top: 17px;
}

span.wphb_month {
    position: absolute;
    margin-left: 10px;
    font-size: 20px;
    font-weight: 600;
}
span.wphb_date {
    font-size: 50px;
    font-weight: 700;
    line-height: 50px;
}
.booking-section.style1  .hb_input_field:not(:has(.wphb_date:empty,.wphb_month:empty))::after {
    top: 30px;
	right: unset;
	padding-left: 16px;
}
.booking-section.style1 .flatpickr-input[readonly] {
    padding-right: 40px;
}

body.wp-hotel-booking-page .has-mega-menu h3 {
	font-weight: 600;
    outline: 1px dashed var(--sp-white);
	font-size: 16px;
}
.flatpickr-day.selected, .flatpickr-day.startRange, .flatpickr-day.endRange, .flatpickr-day.today, .flatpickr-day.today:hover, .flatpickr-day.today:focus, .flatpickr-day.selected:hover {
	background-color: var(--sp-highlight);
	color: var(--sp-white);
	border: none;
}
.flatpickr-day.inRange, .flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.endRange:hover, .flatpickr-day.endRange:focus {
    -webkit-box-shadow: -5px 0 0 var(--sp-highlight), 5px 0 0 var(--sp-highlight);
    box-shadow: -5px 0 0 var(--sp-highlight), 5px 0 0 var(--sp-highlight);
	border-color: var(--sp-highlight);
	background-color: var(--sp-highlight);
	color: var(--sp-white);
}
.flatpickr-day.inRange {
    border-radius: 0;
}
.flatpickr-day:hover {
	background-color: color-mix(in oklab, var(--sp-highlight) 10%, transparent);
}
body .hotel-booking-search #hb-form-search-page input[type=text], body .hotel-booking-search .select2-container .select2-selection--single {
    border-radius: 50px;
    padding-right: 5px;
    border: 2px solid var(--sp-secondary);
    color: var(--sp-secondary);
    text-align: right;
	font-size: clamp( 12px, 1vw, 16px );
}
body .hotel-booking-search #hb-form-search-page input[type=text] {
	padding: 8px 25px 8px 8px;
}
body .hotel-booking-search .hb_input_field:after, body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search form#hb-form-search-page .select2-container--default .select2-selection--single .select2-selection__rendered {
	right: 10px;
	color: var(--sp-secondary);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hb-form-search-page .hb-form-field {
    margin-bottom: 20px;
}
body.wp-hotel-booking-page:not(.tp-themes-premium) .hotel-booking-search #hb-form-search-page .hb-form-field label {
    position: absolute;
    z-index: 1;
    font-size: clamp(12px, 1vw, 16px);
    font-weight: 600;
    padding-left: 15px;
}
body.wp-hotel-booking-page.wp-hotel-booking-search-rooms:not(.tp-themes-premium) button.wphb-button {
	margin-top: 10px;
}
.hb-col-border {
    border-radius: 8px;
    background: color-mix(in oklab, var(--sp-secondary) 10%, transparent);
    border-color: var(--sp-secondary);
}
#hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column .hb-addition-information .hb-col-padding.hb-col-border .hb-form-field select, #hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column .hb-addition-information .hb-col-padding.hb-col-border .hb-form-field input, #hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column .hb-addition-information .hb-col-padding.hb-col-border .hb-form-field textarea, #hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column #hb-order-new-customer .hb-col-padding.hb-col-border .hb-form-field select, #hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column #hb-order-new-customer .hb-col-padding.hb-col-border .hb-form-field input, #hotel-booking-payment.hb-checkout-modern .hb-checkout-left-column #hb-order-new-customer .hb-col-padding.hb-col-border .hb-form-field textarea {
	border-radius: 50px;
	border-color: var(--sp-secondary);
	border-width: 2px;
	padding: 8px;
}
#hb-payment-form .select2-container .select2-selection--single {
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
	border: 2px solid var(--sp-secondary);
}
#hotel-booking-payment.hb-checkout-modern .hb-order-summary {
    background: color-mix( in oklab, var(--sp-secondary) 10%, transparent );
	border: 1px solid var(--sp-secondary);
	border-radius: 8px;
}
#hotel-booking-payment.hb-checkout-modern .hb-order-summary .hb-order-terms label input[type=checkbox], body.wp-hotel-booking-page:not(.tp-themes-premium) #hotel-booking-payment input[type=checkbox], body.wp-hotel-booking-page:not(.tp-themes-premium) #hotel-booking-payment input[type=radio] {
    margin-right: 8px;
    flex-shrink: 0;
    border: 2px solid var(--sp-secondary);
}
#hotel-booking-payment.hb-checkout-modern .hb-order-summary .hb-payment-form .hb-col-padding.hb-col-border {
    background: none;
}
.hb-message-content {
    background: var(--sp-highlight);
    margin: 0;
    padding: 10px;
    border-radius: 8px;
    color: #ffffff;
    font-weight: 500;
}
body.wp-hotel-booking-thank-you #booking-items {
	margin: 30px 0;
}

@media (max-width: 1200px) {
    body.wp-hotel-booking-page:not(.tp-themes-premium) {
        padding-left: 0; 
        padding-right: 0; 
    }
	body.wp-hotel-booking-page #main-content {
		padding-left: 15px;
		padding-right: 15px;
	}
}
@media only screen and (max-width: 1199px) {
	span.wphb_date {
		font-size: 40px;
		line-height: 45px;
	}
}
@media only screen and (max-width: 1024px) {
	body .room-container:has(.hotel-booking-rooms-search)>div:nth-child(2) {
		flex-direction: row;
	}	
}
@media only screen and (max-width: 767px) {
	span.wphb_date {
		font-size: 22px;
		top: -8px;
        position: relative;
	}
	.booking-section.style1 form {
        color: initial;
    }
	.theme-3 .booking-section.style1 form {
        color: var(--sp-white);
    }
	span.wphb_month {
		font-size: 14px;
	}
	.booking-section.style1 .flatpickr-input[readonly] {
		height: 25px;
		line-height: 25px;
		padding-right: 20px;
	}
	.booking-section.style1 .hb_input_field:not(:has(.wphb_date:empty,.wphb_month:empty))::after {
		top: 20px;
	}
	body .room-container:has(.hotel-booking-rooms-search)>div:nth-child(2) {
		flex-direction: column;
	}
}

/*==============
	Pagination
===============*/
nav.rooms-pagination {
    text-align: center;
}
nav.rooms-pagination ul.page-numbers {
    display: inline-flex;
    padding: 0;
    border: none;
    border-right: 0;
    margin: 0;
    gap: 10px;
}
nav.rooms-pagination ul.page-numbers li {
    padding: 0;
    margin: 0;
    float: left;
    overflow: hidden;
}
nav.rooms-pagination ul.page-numbers li a.page-numbers, nav.rooms-pagination ul.page-numbers li span.page-numbers {
    position: relative;
    overflow: hidden;
    display: block;
    width: 45px;
    height: 45px;
    z-index: 0;
    font-weight: 600;
    font-size: 18px;
    line-height: 45px;
    border-radius: 100px;
    text-align: center;
    text-decoration: none;
    color: var(--sp-white);
    background-color: var(--sp-primary);
}
nav.rooms-pagination ul.page-numbers li a.page-numbers.current, nav.rooms-pagination ul.page-numbers li span.page-numbers.current,  nav.rooms-pagination ul.page-numbers li a.page-numbers:hover, nav.rooms-pagination ul.page-numbers li span.page-numbers:hover, nav.rooms-pagination ul.page-numbers li a.page-numbers:focus, nav.rooms-pagination ul.page-numbers li span.page-numbers:focus {
    color: var(--sp-white);
    background-color: var(--sp-secondary);
}
.rooms-pagination li .page-numbers:not(.prev):not(.next)::after {
    content: '';
    position: absolute;
    top: 75%;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    border-radius: 100%;
    background-color: var(--sp-secondary);
    transition: all 0.3s ease;
}
.rooms-pagination li .page-numbers:not(.prev):not(.next):hover::after, .rooms-pagination li .page-numbers:not(.prev):not(.next):focus::after, .rooms-pagination li .page-numbers:not(.prev):not(.next).current::after {
    top: 0;
}
nav.rooms-pagination ul.page-numbers li .page-numbers.prev, nav.rooms-pagination ul.page-numbers li .page-numbers.next {
    font-size: 0;
    position: relative;
}
nav.rooms-pagination ul.page-numbers li .page-numbers.prev::after, nav.rooms-pagination ul.page-numbers li .page-numbers.next::after {
    content: '<';
    font-weight: 700;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
}
nav.rooms-pagination ul.page-numbers li .page-numbers.next::after {
    content: '>';
}

/* == Breadcrumb == */
body.wp-hotel-booking-page:not(.tp-themes-premium) {
	font-size: 14px;
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h1 {
	font-size: clamp(26px,3.6vw,38px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h2 {
	font-size: clamp(24px,3.6vw,32px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h3 {
	font-size: clamp(22px,3.6vw,28px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h4 {
	font-size: clamp(18px,3.6vw,24px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h5 {
	font-size: clamp(16px,3.6vw,20px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) h6 {
	font-size: clamp(14px,3.6vw,16px);
}

body.wp-hotel-booking-page:not(.tp-themes-premium) .wp-block-heading {
	font-size: clamp(18px,3.6vw,16px);
}

.hb_single_room .spacing-35:empty {
	display: none;
}

/* ====== */
body.wp-hotel-booking-page:not(.tp-themes-premium) .hb_single_room {
	margin-top: 0;
}
body .room-container:has(.hotel-booking-rooms-search), .hb_related_other_room .rooms .hb_room {
	padding: 0;
}

.container.room-container > .hotel-booking-rooms-search + div .rooms.tp-hotel-booking {
	max-width: unset !important;
}
.container.room-container > .hotel-booking-rooms-search + div, .container.room-container > .hotel-booking-rooms-search + div .rooms.tp-hotel-booking {
	margin-right: -15px;
	margin-left: -15px;
}
.container.room-container > .hotel-booking-rooms-search + div .hotel-booking-search-filter, .container.room-container > .hotel-booking-rooms-search + div .room-content {
	padding-right: 15px;
	padding-left: 15px;
}

.__hb_room_facility__attr {
    flex-wrap: wrap;
}
.__hb_room_facility__attr .facility_attr {
    flex-basis: 100%;
}
body.single-hb_room.wp-hotel-booking-page:not(.tp-themes-premium) .hb_related_other_room {
	max-width: 100%;
}
.hb_related_other_room .owl-carousel:hover .owl-prev, .hb_related_other_room .owl-carousel:focus-within .owl-prev {
    left: -0;
}
.hb_related_other_room .owl-carousel:hover .owl-next, .hb_related_other_room .owl-carousel:focus-within .owl-next {
    right: -0;
}

#booking-items {
	overflow: auto;
}
#booking-items table {
	table-layout: auto;
}
@media only screen and (max-width: 1024px) {
	body .room-content .sort-by-wrapper {
		margin-right: -15px;
		margin-left: -15px;
	}
}

@media only screen and (min-width: 425px) {
	.__hb_room_facility__attr .facility_attr {
		flex-basis: 50%;
	}
}
@media only screen and (min-width: 768px) {	
	.container.room-container > .hotel-booking-rooms-search + div .room-content {
		padding-top: 15px;
	}
	.__hb_room_facility__attr .facility_attr {
		flex-basis: 25%;
	}
}
@media only screen and (min-width: 768px) and (max-width: 1024px) {
	body .room-container .hotel-booking-search-filter {
		min-width:33.33%;
	}
	.rooms.hb-catalog-column-3 > .hb_room, body .room-container .hotel-booking-search-filter + .room-content .rooms.hb-catalog-column-4 > .hb_room  {
		width: 50%;
	}
	.rooms.hb-catalog-column-4 > .hb_room {
		width: 33.33%;
	}
}
@media only screen and (min-width: 1025px) and (max-width: 1399px) {
	.rooms.hb-catalog-column-3 > .hb_room, body .room-container .hotel-booking-search-filter + .room-content .rooms.hb-catalog-column-4 > .hb_room  {
		width: 33.33%;
	}
}
@media only screen and (min-width: 1025px) {
	body .room-content .sort-by-wrapper {
		padding-right: 0;
	}
}